User Tools

Site Tools


robotsoftware:frobomind:installing

Angående mine hacks for at få FroboMind til at compile, så gjorde jeg følgende: - I serialInterface.h (som burde være .hpp for at holde en pæn syntax) tilføjede jeg en ekstra include:

   #include <boost/asio.hpp>
   #include <boost/system/error_code.hpp>
   #include <boost/system/system_error.hpp>
   #include <boost/filesystem.hpp>
   #include <boost/thread.hpp>
   #include <boost/regex.hpp> //Ny include, var også regex der gav fejl
   #include "ros/ros.h"
   #include "fmMsgs/serial.h"

- Der er åbenbart noget linking problem med GCC 4.6, så jeg installede GCC/G++ 4.4. For at tvinge maskinen til at benytte den ældre version fjernede jeg de oprindelig symlinks:

   sudo rm /usr/bin/g++
   sudo rm /usr/bin/gcc
Herefter oprettede mine egne symlinks til den ældre version:
   sudo ln -s /usr/bin/g++-4.4 /usr/bin/g++
   sudo ln -s /usr/bin/gcc-4.4 /usr/bin/gcc
robotsoftware/frobomind/installing.txt · Last modified: 2012/03/06 11:36 by claes